# Uses of Interface
java.lang.StackWalker.StackFrame

Packages that use StackWalker.StackFrame
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of StackWalker.StackFrame in java.lang

Method parameters in java.lang with type arguments of type StackWalker.StackFrame
Modifier and Type
Method
Description
`void`
StackWalker.`forEach(Consumer<? super StackWalker.StackFrame> action)`
Performs the given action on each element of `StackFrame` stream of the current thread, traversing from the top frame of the stack, which is the method calling this `forEach` method.
`<T> T`
StackWalker.`walk(Function<? super Stream<StackWalker.StackFrame>,? extends T> function)`
Applies the given function to the stream of `StackFrame`s for the current thread, traversing from the top frame of the stack, which is the method calling this `walk` method.